Index: sansmodels/src/sans/models/TriaxialEllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
+++ sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision 13eb1c4b175eb150bd941382067266672545173d)
@@ -36,5 +36,6 @@
          semi_axisB      = 100.0 [A]
          semi_axisC      = 400.0 [A]
-         contrast        = 5.3e-006 [1/A^(2)]
+         sldEll          = 1e-006 [1/A^(2)]
+         sldSolv         = 6.3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          axis_theta      = 1.0 [rad]
@@ -64,5 +65,6 @@
         self.details['semi_axisB'] = ['[A]', None, None]
         self.details['semi_axisC'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A^(2)]', None, None]
+        self.details['sldEll'] = ['[1/A^(2)]', None, None]
+        self.details['sldSolv'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.c	(revision 3c102d483d76eaaef80c6c9f1e39089cfbd6799b)
+++ sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.c	(revision 13eb1c4b175eb150bd941382067266672545173d)
@@ -18,5 +18,5 @@
  */
 double triaxial_ellipsoid_analytical_1D(TriaxialEllipsoidParameters *pars, double q) {
-	double dp[6];
+	double dp[7];
 
 	// Fill paramater array
@@ -25,6 +25,7 @@
 	dp[2] = pars->semi_axisB;
 	dp[3] = pars->semi_axisC;
-	dp[4] = pars->contrast;
-	dp[5] = pars->background;
+	dp[4] = pars->sldEll;
+	dp[5] = pars->sldSolv;
+	dp[6] = pars->background;
 
 	// Call library function to evaluate model
@@ -133,5 +134,5 @@
 
 	// Multiply by contrast^2
-	answer *= pars->contrast*pars->contrast;
+	answer *= (pars->sldEll- pars->sldSolv)*(pars->sldEll- pars->sldSolv);
 
 	//normalize by cylinder volume
Index: sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
+++ sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h	(revision 13eb1c4b175eb150bd941382067266672545173d)
@@ -24,7 +24,10 @@
     //  [DEFAULT]=semi_axisC=400.0 [A]
     double semi_axisC;
-    /// Contrast [1/A^(2)]
-    //  [DEFAULT]=contrast=5.3e-6 [1/A^(2)]
-    double contrast;
+    /// sldEll [1/A^(2)]
+    //  [DEFAULT]=sldEll=1.0e-6 [1/A^(2)]
+    double sldEll;
+    /// sldSolv [1/A^(2)]
+    //  [DEFAULT]=sldSolv=6.3e-6 [1/A^(2)]
+    double sldSolv;
 	/// Incoherent Background [1/cm] 0.00
 	//  [DEFAULT]=background=0.0 [1/cm]
Index: sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
+++ sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision 13eb1c4b175eb150bd941382067266672545173d)
@@ -97,6 +97,7 @@
         PyDict_SetItemString(self->params,"semi_axisC",Py_BuildValue("d",400.00000000));
         PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000630));
         PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
-        PyDict_SetItemString(self->params,"contrast",Py_BuildValue("d",0.00000530));
+        PyDict_SetItemString(self->params,"sldEll",Py_BuildValue("d",0.00000100));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
@@ -247,6 +248,7 @@
     self->model->semi_axisC = PyFloat_AsDouble( PyDict_GetItemString(self->params, "semi_axisC") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->sldSolv = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldSolv") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
+    self->model->sldEll = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldEll") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -327,6 +329,7 @@
     self->model->semi_axisC = PyFloat_AsDouble( PyDict_GetItemString(self->params, "semi_axisC") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->sldSolv = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldSolv") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
+    self->model->sldEll = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldEll") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -394,6 +397,7 @@
     self->model->semi_axisC = PyFloat_AsDouble( PyDict_GetItemString(self->params, "semi_axisC") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->sldSolv = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldSolv") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
+    self->model->sldEll = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldEll") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -430,6 +434,7 @@
     self->model->semi_axisC = PyFloat_AsDouble( PyDict_GetItemString(self->params, "semi_axisC") );
     self->model->axis_phi = PyFloat_AsDouble( PyDict_GetItemString(self->params, "axis_phi") );
+    self->model->sldSolv = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldSolv") );
     self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->contrast = PyFloat_AsDouble( PyDict_GetItemString(self->params, "contrast") );
+    self->model->sldEll = PyFloat_AsDouble( PyDict_GetItemString(self->params, "sldEll") );
     // Read in dispersion parameters
     PyObject* disp_dict;
Index: sansmodels/src/sans/models/c_models/models.hh
===================================================================
--- sansmodels/src/sans/models/c_models/models.hh	(revision 261b8648c729b4a0bab3aa92a4ec7c2c355111d1)
+++ sansmodels/src/sans/models/c_models/models.hh	(revision 13eb1c4b175eb150bd941382067266672545173d)
@@ -342,5 +342,6 @@
 	Parameter semi_axisB;
 	Parameter semi_axisC;
-	Parameter contrast;
+	Parameter sldEll;
+	Parameter sldSolv;
 	Parameter background;
 	Parameter axis_theta;
Index: sansmodels/src/sans/models/c_models/triaxialellipsoid.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/triaxialellipsoid.cpp	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/c_models/triaxialellipsoid.cpp	(revision 13eb1c4b175eb150bd941382067266672545173d)
@@ -41,5 +41,6 @@
 	semi_axisC  = Parameter(400.0, true);
 	semi_axisC.set_min(0.0);
-	contrast   = Parameter(5.3e-6);
+	sldEll   = Parameter(1.0e-6);
+	sldSolv   = Parameter(6.3e-6);
 	background = Parameter(0.0);
 	axis_theta  = Parameter(1.0, true);
@@ -55,5 +56,5 @@
  */
 double TriaxialEllipsoidModel :: operator()(double q) {
-	double dp[6];
+	double dp[7];
 
 	// Fill parameter array for IGOR library
@@ -63,6 +64,7 @@
 	dp[2] = semi_axisB();
 	dp[3] = semi_axisC();
-	dp[4] = contrast();
-	dp[5] = 0.0;
+	dp[4] = sldEll();
+	dp[5] = sldSolv();
+	dp[6] = 0.0;
 
 	// Get the dispersion points for the semi axis A
@@ -128,5 +130,6 @@
 	dp.semi_axisB     = semi_axisB();
 	dp.semi_axisC     = semi_axisC();
-	dp.contrast   = contrast();
+	dp.sldEll   = sldEll();
+	dp.sldSolv   = sldSolv();
 	dp.background = 0.0;
 	dp.axis_theta  = axis_theta();
